Bug 725484 - kexec-tools: x86: Start using nr_cpus=1 instead of maxcpus=1
Summary: kexec-tools: x86: Start using nr_cpus=1 instead of maxcpus=1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools
Version: 6.2
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Cong Wang
QA Contact: Chao Ye
URL:
Whiteboard:
Depends On: 717918
Blocks: 727014
TreeView+ depends on / blocked
 
Reported: 2011-07-25 15:32 UTC by Vivek Goyal
Modified: 2013-09-30 02:26 UTC (History)
6 users (show)

Fixed In Version: kexec-tools-2_0_0-196_el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 727014 (view as bug list)
Environment:
Last Closed: 2011-12-06 18:19:30 UTC


Attachments (Terms of Use)
Proposed patch (1.48 KB, patch)
2011-07-26 06:58 UTC, Cong Wang
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1532 normal SHIPPED_LIVE Moderate: kexec-tools security, bug fix, and enhancement update 2011-12-06 01:01:52 UTC

Description Vivek Goyal 2011-07-25 15:32:34 UTC
Description of problem:

Using nr_cpus=1 for kdump kenrel saves memory required in second kernel. Start using that for x86 and x86_64. Do not switch it for powerpc yet as kernel is not equipped to handle that yet.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Vivek Goyal 2011-07-25 15:34:22 UTC
Kernel patches for x86_64 have been committed in version kernel-2.6.32-171.el6. So we should be good to modify kexec-tools now.

Comment 3 Cong Wang 2011-07-26 06:58:27 UTC
Created attachment 515185 [details]
Proposed patch

Comment 4 Cong Wang 2011-07-26 07:21:17 UTC
Brew build:
https://brewweb.devel.redhat.com/taskinfo?taskID=3516689

Comment 6 Chao Ye 2011-09-16 09:05:52 UTC
Tested with Kdump Tier1, no regression found. Change status to VERIFIED.
https://tcms.engineering.redhat.com/run/26802/

Comment 7 errata-xmlrpc 2011-12-06 18:19:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1532.html


Note You need to log in before you can comment on or make changes to this bug.